Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.draw
Class ElementDrawer<T extends JRPrintElement>

    java.lang.Object
      net.sf.jasperreports.engine.export.draw.ElementDrawer<T>

Type Parameters:
  `T` - the type of the element that the drawer supports

Direct Known Subclasses:
  BoxDrawer, EllipseDrawer, FrameDrawer, ImageDrawer, LineDrawer, RectangleDrawer, TextDrawer

    public abstract class ElementDrawer<T extends JRPrintElement>

extends java.lang.Object

Version:
  $Id: ElementDrawer.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`ElementDrawer()`

Method Summary
`abstract void` | `draw(java.awt.Graphics2D grx, T element, int offsetX, int offsetY)`
`protected void` | `drawBottomPen(java.awt.Graphics2D grx, JRPen leftPen, JRPen bottomPen, JRPen rightPen, JRPrintElement element, int offsetX, int offsetY)`
`protected void` | `drawBox(java.awt.Graphics2D grx, JRLineBox box, JRPrintElement element, int offsetX, int offsetY)`
`protected void` | `drawLeftPen(java.awt.Graphics2D grx, JRPen topPen, JRPen leftPen, JRPen bottomPen, JRPrintElement element, int offsetX, int offsetY)`
`protected void` | `drawPen(java.awt.Graphics2D grx, JRPen pen, JRPrintElement element, int offsetX, int offsetY)`
`protected void` | `drawRightPen(java.awt.Graphics2D grx, JRPen topPen, JRPen bottomPen, JRPen rightPen, JRPrintElement element, int offsetX, int offsetY)`
`protected void` | `drawTopPen(java.awt.Graphics2D grx, JRPen topPen, JRPen leftPen, JRPen rightPen, JRPrintElement element, int offsetX, int offsetY)`
`protected static java.awt.Stroke` | `getStroke(JRPen pen, int lineCap)` Deprecated. Replaced by `JRPenUtil.getStroke(JRPen, int)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementDrawer

    public ElementDrawer()

Method Detail

### draw

    public abstract void draw(java.awt.Graphics2D grx,
                              T element,
                              int offsetX,
                              int offsetY)
                       throws JRException

  Throws:
    `JRException`

### drawBox

    protected void drawBox(java.awt.Graphics2D grx,
                           JRLineBox box,
                           JRPrintElement element,
                           int offsetX,
                           int offsetY)

### drawPen

    protected void drawPen(java.awt.Graphics2D grx,
                           JRPen pen,
                           JRPrintElement element,
                           int offsetX,
                           int offsetY)

### drawTopPen

    protected void drawTopPen(java.awt.Graphics2D grx,
                              JRPen topPen,
                              JRPen leftPen,
                              JRPen rightPen,
                              JRPrintElement element,
                              int offsetX,
                              int offsetY)

### drawLeftPen

    protected void drawLeftPen(java.awt.Graphics2D grx,
                               JRPen topPen,
                               JRPen leftPen,
                               JRPen bottomPen,
                               JRPrintElement element,
                               int offsetX,
                               int offsetY)

### drawBottomPen

    protected void drawBottomPen(java.awt.Graphics2D grx,
                                 JRPen leftPen,
                                 JRPen bottomPen,
                                 JRPen rightPen,
                                 JRPrintElement element,
                                 int offsetX,
                                 int offsetY)

### drawRightPen

    protected void drawRightPen(java.awt.Graphics2D grx,
                                JRPen topPen,
                                JRPen bottomPen,
                                JRPen rightPen,
                                JRPrintElement element,
                                int offsetX,
                                int offsetY)

### getStroke

    protected static java.awt.Stroke getStroke(JRPen pen,
                                               int lineCap)

  Deprecated. Replaced by `JRPenUtil.getStroke(JRPen, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com